Bug 425919 - dovecot-auth processes leave as defunct
Summary: dovecot-auth processes leave as defunct
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dovecot   
(Show other bugs)
Version: 4.5
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
: ---
Assignee: Dan Horák
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-17 08:31 UTC by Satoshi Sugimoto
Modified: 2008-08-11 08:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-11 08:56:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dovecot.conf (19.91 KB, text/plain)
2007-12-17 08:31 UTC, Satoshi Sugimoto
no flags Details
smb.conf (637 bytes, text/plain)
2007-12-17 08:34 UTC, Satoshi Sugimoto
no flags Details

Description Satoshi Sugimoto 2007-12-17 08:31:52 UTC
Description of problem:
When CPU load-average is high, some dovecot-auth processes leave as defunct 
status. However, dovecot can work fine and does not crash during CPU load-
average is high.

Version-Release number of selected component (if applicable):
dovecot-0.99.11-8.EL4.i386

How reproducible:
This server has joined Active Directory domain using samba winbindd.
(security=ADS in smb.conf)

Steps to Reproduce:
1. Join Active Directory domain using samba winbind.
2. Configure dovecot as pam authentication. (Edit /etc/pam.d/dovecot)
3. View "ps" during accesssing from MUA to dovecot.
  
Actual results:
Sometimes shows "defunct" process.

Expected results:
No zombie processes.

Additional info:
kernel - 2.6.9-55.0.2.ELsmp
samba-3.0.25b-1.el4_6.2
samba-common-3.0.25b-1.el4_6.2
samba-client-3.0.25b-1.el4_6.2
krb5-libs-1.3.4-54
krb5-devel-1.3.4-54
krb5-workstation-1.3.4-54
pam_krb5-2.1.17-1

Comment 1 Satoshi Sugimoto 2007-12-17 08:31:52 UTC
Created attachment 289752 [details]
dovecot.conf

Comment 2 Satoshi Sugimoto 2007-12-17 08:34:09 UTC
Created attachment 289753 [details]
smb.conf

Comment 3 Tomas Janousek 2007-12-20 18:17:52 UTC
Do these stay there for a long time? IOW if a process shows as defunct, does it
stay there forever? And if not, does it disappear within a second or rather
after a longer amount of time?

Comment 4 Satoshi Sugimoto 2007-12-21 00:39:40 UTC
Some defunct processes will disappear within a second.
And in my case, dovecot work fine. (Does not crash)
CPU load-average counts running or runnable processes include defunct process, 
doesn`t it?



Comment 5 Tomas Janousek 2007-12-21 08:52:34 UTC
Some or all?

CPU load-average counts running processes, zombies (defunct processes) are not
running, by definition.

Comment 6 Satoshi Sugimoto 2007-12-25 00:30:09 UTC
"ps" command is executed each five minutes on my system.
Three or four times a day, cpu load-average is high.
When it is occurred, dovecot defunct processes are much. (not all processes)
On other hand, there is not defunct processes when cpu load-average is low.


Comment 7 Tomas Janousek 2007-12-25 01:08:22 UTC
Yeah, but do they stay there? If they disappear within a second, why do you
think it is an issue?

Comment 8 Dan Horák 2008-06-10 07:48:31 UTC
Dovecot has its own process manager that takes care of creating and destroying
processes that are serving the authentication and data flow to the users.
Because you are saying that the auth process' count is varying during the time
and not continue to grow all the time then it is not an issue.


Note You need to log in before you can comment on or make changes to this bug.